ETSI STF525 / Internal Testing test suite This project provides an internal testing test suite and its associated Test Adapter/Codec

Public Member Functions | Protected Member Functions | Private Member Functions | Private Attributes | List of all members
LibItsBtp__TestSystem::BtpPort Class Reference

`#include <BtpPort.hh>`

Inheritance diagram for LibItsBtp__TestSystem::BtpPort:

## Public Member Functions
| BtpPort (const char *par_port_name=NULL)
| ~BtpPort ()
void | set_parameter (const char *parameter_name, const char *parameter_value)
void | receiveMsg (const LibItsBtp__TestSystem::BtpInd &, const Params &)

## Protected Member Functions
void | user_map (const char *system_port)
void | user_unmap (const char *system_port)
void | user_start ()
void | user_stop ()
void | outgoing_send (const BtpReq &send_par)

## Private Member Functions
void | Handle_Fd_Event_Error (int fd)
void | Handle_Fd_Event_Writable (int fd)
void | Handle_Fd_Event_Readable (int fd)

## Private Attributes
Params | _cfg_params
Params | _layer_params
layer * | _layer
std::string | _time_key

## Constructor & Destructor Documentation

## ◆ BtpPort()

LibItsBtp__TestSystem::BtpPort::BtpPort | ( | const char * | par_port_name = `NULL` | ) |

## ◆ ~BtpPort()

LibItsBtp__TestSystem::BtpPort::~BtpPort | ( |  | ) |

## Member Function Documentation

## ◆ Handle_Fd_Event_Error()

void LibItsBtp__TestSystem::BtpPort::Handle_Fd_Event_Error | ( | int | fd | ) |
| private

## ◆ Handle_Fd_Event_Readable()

void LibItsBtp__TestSystem::BtpPort::Handle_Fd_Event_Readable | ( | int | fd | ) |
| private

## ◆ Handle_Fd_Event_Writable()

void LibItsBtp__TestSystem::BtpPort::Handle_Fd_Event_Writable | ( | int | fd | ) |
| private

## ◆ outgoing_send()

void LibItsBtp__TestSystem::BtpPort::outgoing_send | ( | const BtpReq & | send_par | ) |
| protected

## ◆ receiveMsg()

void LibItsBtp__TestSystem::BtpPort::receiveMsg | ( | const LibItsBtp__TestSystem::BtpInd & | p_ind,
|  | const Params & | p_params
| ) |  |

## ◆ set_parameter()

void LibItsBtp__TestSystem::BtpPort::set_parameter | ( | const char * | parameter_name,
|  | const char * | parameter_value
| ) |  |

## ◆ user_map()

void LibItsBtp__TestSystem::BtpPort::user_map | ( | const char * | system_port | ) |
| protected

## ◆ user_start()

void LibItsBtp__TestSystem::BtpPort::user_start | ( |  | ) |
| protected

## ◆ user_stop()

void LibItsBtp__TestSystem::BtpPort::user_stop | ( |  | ) |
| protected

## ◆ user_unmap()

void LibItsBtp__TestSystem::BtpPort::user_unmap | ( | const char * | system_port | ) |
| protected

## Member Data Documentation

## ◆ _cfg_params

Params LibItsBtp__TestSystem::BtpPort::_cfg_params
| private

## ◆ _layer

layer* LibItsBtp__TestSystem::BtpPort::_layer
| private

## ◆ _layer_params

Params LibItsBtp__TestSystem::BtpPort::_layer_params
| private

## ◆ _time_key

std::string LibItsBtp__TestSystem::BtpPort::_time_key
| private

The documentation for this class was generated from the following files:

- /home/vagrant/TriesAndDelete/etsi_its/src/TestCodec/include/BtpPort.hh
- /home/vagrant/TriesAndDelete/etsi_its/src/TestCodec/src/BtpPort.cc